import java.util.*;

public class Raflebaeger
{
	public Vector terninger;  // Raflebaeger har en vektor af terninger

	public Raflebaeger(int antalTerninger)
	{
		terninger = new Vector();
		for (int i=0;i<antalTerninger;i++)
		{
			Terning t;
			t = new Terning();
			tilfj(t);
		}
	}

	public void tilfj(Terning t)       // Lg en terning i bgeret
	{
		terninger.addElement(t);
	}

	public void ryst()		  // Kast alle terningerne
	{
		for (int i=0;i<terninger.size();i++) 
		{
			Terning t;
			t = (Terning) terninger.elementAt(i);
			t.kast();
		}
	}

	public int sum()		    // Summen af alle terningers vrdier
	{
		int resultat;
		resultat=0;
		for (int i=0;i<terninger.size();i++) 
		{
			Terning t;
			t = (Terning) terninger.elementAt(i);
			resultat = resultat + t.vrdi;
		}
		return resultat;
	}
	
	public int antalDerViser(int vrdi) // Antal terninger med en bestemt vrdi
	{
		int resultat;
		resultat = 0;
		for (int i=0;i<terninger.size();i++) 
		{
			Terning t;
			t = (Terning) terninger.elementAt(i);
			if (t.vrdi==vrdi) 
			{
				resultat = resultat + 1;
			}
		}
		return resultat;
	}

        private boolean isAntalEns(int antal) {
            for (int i=1; i<=6; i++) {
                if (antalDerViser(i)==antal)
                    return true;
            }
            return false;
        }
        
        public boolean femEns() {
            return isAntalEns(5);
        }
        
        public boolean fireEns() {
            return isAntalEns(4);
        }
        
        public boolean treEns() {
            return isAntalEns(3);
        }
        
        public boolean toEns() {
            return isAntalEns(2);
        }
        
        public boolean toPar() {
            int resultat=0;
            for (int i=1; i<=6; i++) {
                if (antalDerViser(i)==2)
                    resultat++;
            }
            return (resultat==2);
        }
        
        public boolean hus() {
            return isAntalEns(2) && isAntalEns(3);
        }
        
	public String toString ()	   // Beskriv bgerets indhold
	{// (vektorens toString() kalder toString() p hver terning)
		return terninger.toString();
	}
}
